// $Id: SystemOptions.h,v 1.4 2009/09/09 02:29:39 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
  \file SystemOptions.h
  \brief System options
  \author Hugo Pereira
  \version $Revision: 1.4 $
  \date $Date: 2009/09/09 02:29:39 $
*/

#include "XmlOptions.h"
#include "Config.h"

//_____________________________________________________
//! System options installer
void installSystemOptions( void )
{

  XmlOptions::get().setAutoDefault( true );

  // set system dependent options default values
  XmlOptions::get().set( "CVS", Option( "undefined" , "cvs command"  ) );
  XmlOptions::get().set( "EDITOR", Option( "undefined" , "editor command"  ) );
  XmlOptions::get().set( "DIFF_EDITOR", Option( "undefined" , "diff editor command"  ) );
  XmlOptions::get().setAutoDefault( false );

};
