/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
  \file CvsAddDialog.cpp
  \brief QDialog used to add selected files to the repository
  \author Hugo Pereira
  \version $Revision: 1.12 $
  \date $Date: 2011/11/15 15:33:09 $
*/

#include <QLayout>
#include <QLabel>
#include <QPushButton>

#include "CvsAddDialog.h"



//____________________________________________________________________________
CvsAddDialog::CvsAddDialog( QWidget* parent, const FileInfoModel::List& files ):
  FileSelectionDialog( parent, files )
{

  Debug::Throw( "CvsAddDialog::CvsAddDialog.\n" );
  _workLayout().addStretch(1);
  okButton().setText( "&Add" );
  okButton().setToolTip( "Add selected files to the repository" );
  okButton().setFocus();
  adjustSize();

}
