// $Id: CvsCommitDialog.h,v 1.9 2011/11/15 15:33:09 hpereira Exp $
#ifndef _CvsCommitDialog_h_
#define _CvsCommitDialog_h_

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
\file CvsCommitDialog.h
\brief QDialog used to commit selected files
\author Hugo Pereira
\version $Revision: 1.9 $
\date $Date: 2011/11/15 15:33:09 $
*/

#include "FileSelectionDialog.h"

class TextEditor;

//! QDialog used to commit selected files
class CvsCommitDialog: public FileSelectionDialog
{

    //! Qt macro
    Q_OBJECT

    public:

    //! constructor
    CvsCommitDialog( QWidget*, const FileInfo& );

    //! constructor
    CvsCommitDialog( QWidget*, const FileInfoModel::List& files );

    //! editor
    TextEditor& editor()
    {
        assert( editor_ );
        return *editor_;
    }

    private slots:

    //! save comments for re-use
    void _saveComments( void );

    private:

    //! text selection
    TextEditor* editor_;

    //! comments
    static QString savedComments_;

};

#endif
