// $Id: CvsRemoveDialog.h,v 1.6 2009/09/09 02:29:40 hpereira Exp $
#ifndef _CvsRemoveDialog_h_
#define _CvsRemoveDialog_h_

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
  \file CvsRemoveDialog.h
  \brief QDialog used to remove selected files from repository
  \author Hugo Pereira
  \version $Revision: 1.6 $
  \date $Date: 2009/09/09 02:29:40 $
*/

#include <QRadioButton>



#include "FileSelectionDialog.h"

//! QDialog used to commit selected files
class CvsRemoveDialog: public FileSelectionDialog
{

  public:

  //! constructor
  CvsRemoveDialog( QWidget*, const FileInfoModel::List& );

  //! action mode
  enum Mode
  {
    REMOVE_FILES,
    RENAME_FILES
  };

  //! set mode
  void setMode( const Mode& mode )
  { remove_from_disk_->setChecked( mode == REMOVE_FILES ); }

  //! mode
  Mode mode( void ) const
  { return remove_from_disk_->isChecked() ? REMOVE_FILES:RENAME_FILES; }

  private:

  //! if checked files are first removed from disk. Otherwise renamed
  QRadioButton* remove_from_disk_;

};

#endif
