#ifndef _FileSelectionDialog_h_
#define _FileSelectionDialog_h_

// $Id: FileSelectionDialog.h,v 1.15 2011/11/24 14:06:53 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

#include "CustomDialog.h"
#include "FileInfo.h"
#include "FileInfoModel.h"

#include <QtGui/QLayout>
#include <QtGui/QPushButton>
#include <cassert>

class TreeView;

//! QDialog used to commit selected files
class FileSelectionDialog: public CustomDialog
{

    //! Qt meta object
    Q_OBJECT

    public:

    //! constructor
    FileSelectionDialog( QWidget*, const FileInfoModel::List& files = FileInfoModel::List() );

    // return selected files
    FileInfoModel::List selectedFiles( void ) const;

    protected:

    //! list
    TreeView& _list() const
    {
        assert( list_ );
        return *list_;
    }

    //! model
    const FileInfoModel& _model() const
    { return model_; }

    //! model
    FileInfoModel& _model()
    { return model_; }

    //! work area
    QVBoxLayout& _workLayout( void ) const
    {
        assert( work_ );
        return *work_;
    }

    protected slots:

    //! update button states
    virtual void _updateButtons( void );

    private:

    //! list of files
    TreeView* list_;

    //! model
    FileInfoModel model_;

    //! work layout (to add options
    QVBoxLayout *work_;

    //! clear selection button
    QPushButton* clearSelectionButton_;

};

#endif
