#ifndef XmlDef_h
#define XmlDef_h

// $Id: XmlDef.h,v 1.7 2012/09/04 11:21:07 hpereira Exp $

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* software; if not, write to the Free Software Foundation, Inc., 59 Temple
* Place, Suite 330, Boston, MA  02111-1307 USA
*
*
*******************************************************************************/

/*!
\file XmlDef.h
\brief some Xml definitions
\author Hugo Pereira
\version $Revision: 1.7 $
\date $Date: 2012/09/04 11:21:07 $
*/

#include <QString>

//! Some Xml definitions
namespace XML
{

    //! cache
    static const QString CACHE( "Cache" );

    //!@name FileInfo
    //@{

    //! FileInfoCache type
    static const QString FILEINFO_CACHE( "FileInfoCache" );

    //! FileInfo type
    static const QString FILEINFO( "FileInfo" );

    //! attachment tag
    static const QString FILE( "File" );

    //! entry tag
    static const QString TYPE( "Type" );

    //! creation time
    static const QString CREATION( "Creation" );

    //@}

    //!@name revisions
    //@{

    //! RevisionCache
    static const QString REVISION_CACHE( "RevisionCache" );

    //! RevisionList
    static const QString REVISION_LIST( "RevisionList" );

    //! Revision
    static const QString REVISION( "Revision" );

    //! Revision name
    static const QString NAME( "Name" );

    //! Revision timeStamp
    static const QString TIME( "Time" );

    //! Author
    static const QString AUTHOR( "Author" );

    //! revision comments
    static const QString COMMENTS( "Comments" );

    //@}

};

#endif
