# $Id: src.pro,v 1.48 2012/09/26 21:20:45 hpereira Exp $

TEMPLATE = app
TARGET = cvswatch

CONFIG += qt release
QT += xml network

VERSION = 1.5.2
DEFINES += VERSION=\\\"$$VERSION\\\"

mac {
	DEFINES += QT_NO_DBUS
}

unix:!mac {
	QT += dbus
	LIBS += -lX11
}

win32 {

	DEFINES += QT_STATIC
	DESTDIR = "C:\Program Files"
	QMAKE_LFLAGS += -static-libgcc -static-libstdc++

	# this is needed to copy target into relevant versioned name
	exists( \"$$DESTDIR\\upx.exe\" ) {

		 # if available, use upx to compress the file
		 version.commands = "\"$$DESTDIR\\upx.exe\" -9 -f -o \"$$DESTDIR\\$$TARGET-"$$VERSION".exe\""  "\"$$DESTDIR\\"$$TARGET".exe\"

	} else {

		 # simple copy
		 version.commands = @copy "\"$$DESTDIR\\"$$TARGET".exe\" \"$$DESTDIR\\$$TARGET-"$$VERSION".exe\""

	}

	# add to Post targets
	QMAKE_EXTRA_TARGETS += version
	QMAKE_POST_LINK += $$version.commands

}

INCLUDEPATH = . ../base ../base-qt ../base-help ../base-server ../extra-includes
DEPENDPATH += . ../base ../base-qt ../base-help ../base-server ../extra-includes

LIBS += \
	../base-server/libbase-server.a \
	../base-help/libbase-help.a \
	../base-qt/libbase-qt.a \
	../base/libbase.a

POST_TARGETDEPS = \
	../base-server/libbase-server.a \
	../base-help/libbase-help.a \
	../base-qt/libbase-qt.a \
	../base/libbase.a

RESOURCES = pixmaps.qrc ../base-qt/basePixmaps.qrc
RC_FILE = cvswatch.rc

HEADERS = \
Cache.h \
ConfigurationDialog.h \
CvsAddDialog.h \
CvsCheckOutDialog.h \
CvsCommandDialog.h \
CvsCommand.h \
CvsCommandModel.h \
CvsCommitDialog.h \
CvsInterface.h \
CvsLockDialog.h \
CvsRemoveDialog.h \
DefaultOptions.h \
FileInfoCache.h \
FileInfoCacheDialog.h \
FileInfo.h \
FileInfoModel.h \
FileSelectionDialog.h \
FileSelectionFrame.h \
HelpText.h \
Icons.h \
LogDialog.h \
Application.h \
Menu.h \
RemoveFilesDialog.h \
Revision.h \
RevisionCache.h \
RevisionCacheDialog.h \
RevisionCacheModel.h \
RevisionFrame.h \
RevisionModel.h \
MainWindow.h \
ViewModeMenu.h \
XmlDef.h

SOURCES = \
Cache.cpp \
ConfigurationDialog.cpp \
CvsAddDialog.cpp \
CvsCheckOutDialog.cpp \
CvsCommand.cpp \
CvsCommandDialog.cpp \
CvsCommandModel.cpp \
CvsCommitDialog.cpp \
CvsInterface.cpp \
CvsLockDialog.cpp \
CvsRemoveDialog.cpp \
cvswatch.cpp \
FileInfoCache.cpp \
FileInfoCacheDialog.cpp \
FileInfo.cpp \
FileInfoModel.cpp \
FileSelectionDialog.cpp \
FileSelectionFrame.cpp \
LogDialog.cpp \
Application.cpp \
Menu.cpp \
RemoveFilesDialog.cpp \
Revision.cpp \
RevisionCache.cpp \
RevisionCacheDialog.cpp \
RevisionCacheModel.cpp \
RevisionFrame.cpp \
RevisionModel.cpp \
MainWindow.cpp \
ViewModeMenu.cpp
